diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-signup.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-signup.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-signup.php	2012-09-11 07:27:25.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-signup.php	2013-05-15 12:54:02.000000000 -0500
***************
*** 12,17 ****
--- 12,22 ----
  	die();
  }
  
+ /**
+  * Prints signup_header via wp_head
+  *
+  * @since MU
+  */
  function do_signup_header() {
  	do_action( 'signup_header' );
  }
***************
*** 30,35 ****
--- 35,45 ----
  // Fix for page title
  $wp_query->is_404 = false;
  
+ /**
+  * Prints styles for front-end Multisite signup pages
+  *
+  * @since MU
+  */
  function wpmu_signup_stylesheet() {
  	?>
  	<style type="text/css">
***************
*** 58,63 ****
--- 68,82 ----
  <div id="content" class="widecolumn">
  <div class="mu_register">
  <?php
+ /**
+  * Generates and displays the Signup and Create Site forms
+  *
+  * @since MU
+  *
+  * @param string $blogname The new site name
+  * @param string $blog_title The new site title
+  * @param array $errors
+  */
  function show_blog_form($blogname = '', $blog_title = '', $errors = '') {
  	global $current_site;
  	// Blog name
***************
*** 112,117 ****
--- 131,145 ----
  	do_action('signup_blogform', $errors);
  }
  
+ /**
+  * Validate the new site signup
+  *
+  * @since MU
+  *
+  * @uses wp_get_current_user() to retrieve the current user
+  * @uses wpmu_validate_blog_signup() to validate new site signup for the current user
+  * @return array Contains the new site data and error messages.
+  */
  function validate_blog_form() {
  	$user = '';
  	if ( is_user_logged_in() )
***************
*** 120,125 ****
--- 148,162 ----
  	return wpmu_validate_blog_signup($_POST['blogname'], $_POST['blog_title'], $user);
  }
  
+ /**
+  * Display user registration form
+  *
+  * @since MU
+  *
+  * @param string $user_name The entered username
+  * @param string $user_email The entered email address
+  * @param array $errors
+  */
  function show_user_form($user_name = '', $user_email = '', $errors = '') {
  	// User name
  	echo '<label for="user_name">' . __('Username:') . '</label>';
***************
*** 142,151 ****
--- 179,206 ----
  	do_action( 'signup_extra_fields', $errors );
  }
  
+ /**
+  * Validate user signup name and email
+  *
+  * @since MU
+  *
+  * @uses wpmu_validate_user_signup() to retrieve an array of user data
+  * @return array Contains username, email, and error messages.
+  */
  function validate_user_form() {
  	return wpmu_validate_user_signup($_POST['user_name'], $_POST['user_email']);
  }
  
+ /**
+  * Allow returning users to sign up for another site
+  *
+  * @since MU
+  *
+  * @uses wp_get_current_user() to get the current user
+  * @param string $blogname The new site name
+  * @param string $blog_title The new blog title
+  * @param array $errors
+  */
  function signup_another_blog($blogname = '', $blog_title = '', $errors = '') {
  	global $current_site;
  	$current_user = wp_get_current_user();
***************
*** 191,196 ****
--- 246,261 ----
  	<?php
  }
  
+ /**
+  * Validate a new blog signup
+  *
+  * @since MU
+  *
+  * @uses wp_get_current_user() to retrieve the current user
+  * @uses wpmu_create_blog() to add a new site
+  * @uses confirm_another_blog_signup() to confirm the user's new site signup
+  * @return bool True if blog signup was validated, false if error
+  */
  function validate_another_blog_signup() {
  	global $wpdb, $blogname, $blog_title, $errors, $domain, $path;
  	$current_user = wp_get_current_user();
***************
*** 214,220 ****
  	return true;
  }
  
! function confirm_another_blog_signup($domain, $path, $blog_title, $user_name, $user_email = '', $meta = '') {
  	?>
  	<h2><?php printf( __( 'The site %s is yours.' ), "<a href='http://{$domain}{$path}'>{$blog_title}</a>" ) ?></h2>
  	<p>
--- 279,296 ----
  	return true;
  }
  
! /**
!  * Confirm a new site signup
!  *
!  * @since MU
!  *
!  * @param string $domain The domain URL
!  * @param string $path The site root path
!  * @param string $user_name The username
!  * @param string $user_email The user's email address
!  * @param array $meta Any additional meta from the 'add_signup_meta' filter in validate_blog_signup()
!  */
! function confirm_another_blog_signup( $domain, $path, $blog_title, $user_name, $user_email = '', $meta = array() ) {
  	?>
  	<h2><?php printf( __( 'The site %s is yours.' ), "<a href='http://{$domain}{$path}'>{$blog_title}</a>" ) ?></h2>
  	<p>
***************
*** 224,229 ****
--- 300,316 ----
  	do_action( 'signup_finished' );
  }
  
+ /**
+  * Setup the new user signup process
+  *
+  * @since MU
+  *
+  * @uses apply_filters() filter $filtered_results
+  * @uses show_user_form() to display the user registration form
+  * @param string $user_name The username
+  * @param string $user_email The user's email
+  * @param array $errors
+  */
  function signup_user($user_name = '', $user_email = '', $errors = '') {
  	global $current_site, $active_signup;
  
***************
*** 265,270 ****
--- 352,367 ----
  	<?php
  }
  
+ /**
+  * Validate the new user signup
+  *
+  * @since MU
+  *
+  * @uses validate_user_form() to retrieve an array of the user data
+  * @uses wpmu_signup_user() to signup the new user
+  * @uses confirm_user_signup() to confirm the new user signup
+  * @return bool True if new user signup was validated, false if error
+  */
  function validate_user_signup() {
  	$result = validate_user_form();
  	extract($result);
***************
*** 285,290 ****
--- 382,395 ----
  	return true;
  }
  
+ /**
+  * New user signup confirmation
+  *
+  * @since MU
+  *
+  * @param string $user_name The username
+  * @param string $user_email The user's email address
+  */
  function confirm_user_signup($user_name, $user_email) {
  	?>
  	<h2><?php printf( __( '%s is your new username' ), $user_name) ?></h2>
***************
*** 295,300 ****
--- 400,418 ----
  	do_action( 'signup_finished' );
  }
  
+ /**
+  * Setup the new site signup
+  *
+  * @since MU
+  *
+  * @uses apply_filters() to filter $filtered_results
+  * @uses show_blog_form() to display the blog signup form
+  * @param string $user_name The username
+  * @param string $user_email The user's email address
+  * @param string $blogname The site name
+  * @param string $blog_title The site title
+  * @param array $errors
+  */
  function signup_blog($user_name = '', $user_email = '', $blogname = '', $blog_title = '', $errors = '') {
  	if ( !is_wp_error($errors) )
  		$errors = new WP_Error();
***************
*** 321,326 ****
--- 439,456 ----
  	<?php
  }
  
+ /**
+  * Validate new site signup
+  *
+  * @since MU
+  *
+  * @uses wpmu_validate_user_signup() to retrieve an array of the new user data and errors
+  * @uses wpmu_validate_blog_signup() to retrieve an array of the new site data and errors
+  * @uses apply_filters() to make signup $meta filterable
+  * @uses signup_user() to signup a new user
+  * @uses signup_blog() to signup a the new user to a new site
+  * @return bool True if the site signup was validated, false if error
+  */
  function validate_blog_signup() {
  	// Re-validate user info.
  	$result = wpmu_validate_user_signup($_POST['user_name'], $_POST['user_email']);
***************
*** 348,354 ****
  	return true;
  }
  
! function confirm_blog_signup($domain, $path, $blog_title, $user_name = '', $user_email = '', $meta) {
  	?>
  	<h2><?php printf( __( 'Congratulations! Your new site, %s, is almost ready.' ), "<a href='http://{$domain}{$path}'>{$blog_title}</a>" ) ?></h2>
  
--- 478,496 ----
  	return true;
  }
  
! /**
!  * New site signup confirmation
!  *
!  * @since MU
!  *
!  * @param string $domain The domain URL
!  * @param string $path The site root path
!  * @param string $blog_title The new site title
!  * @param string $user_name The user's username
!  * @param string $user_email The user's email address
!  * @param array $meta Any additional meta from the 'add_signup_meta' filter in validate_blog_signup()
!  */
! function confirm_blog_signup( $domain, $path, $blog_title, $user_name = '', $user_email = '', $meta = array() ) {
  	?>
  	<h2><?php printf( __( 'Congratulations! Your new site, %s, is almost ready.' ), "<a href='http://{$domain}{$path}'>{$blog_title}</a>" ) ?></h2>
  
***************
*** 361,367 ****
  		<ul id="noemail-tips">
  			<li><p><strong><?php _e( 'Wait a little longer. Sometimes delivery of email can be delayed by processes outside of our control.' ) ?></strong></p></li>
  			<li><p><?php _e( 'Check the junk or spam folder of your email client. Sometime emails wind up there by mistake.' ) ?></p></li>
! 			<li><?php printf( __( 'Have you entered your email correctly?  You have entered %s, if it&#8217;s incorrect, you will not receive your email.' ), $user_email ) ?></li>
  		</ul>
  	</p>
  	<?php
--- 503,509 ----
  		<ul id="noemail-tips">
  			<li><p><strong><?php _e( 'Wait a little longer. Sometimes delivery of email can be delayed by processes outside of our control.' ) ?></strong></p></li>
  			<li><p><?php _e( 'Check the junk or spam folder of your email client. Sometime emails wind up there by mistake.' ) ?></p></li>
! 			<li><?php printf( __( 'Have you entered your email correctly? You have entered %s, if it&#8217;s incorrect, you will not receive your email.' ), $user_email ) ?></li>
  		</ul>
  	</p>
  	<?php
***************
*** 427,435 ****
  				$newblog = get_blogaddress_by_name( $newblogname );
  
  				if ( $active_signup == 'blog' || $active_signup == 'all' )
! 					printf( __( '<p><em>The site you were looking for, <strong>%s</strong> does not exist, but you can create it now!</em></p>' ), $newblog );
  				else
! 					printf( __( '<p><em>The site you were looking for, <strong>%s</strong>, does not exist.</em></p>' ), $newblog );
  			}
  			break;
  	}
--- 569,577 ----
  				$newblog = get_blogaddress_by_name( $newblogname );
  
  				if ( $active_signup == 'blog' || $active_signup == 'all' )
! 					printf( '<p><em>' . __( 'The site you were looking for, <strong>%s</strong>, does not exist, but you can create it now!' ) . '</em></p>', $newblog );
  				else
! 					printf( '<p><em>' . __( 'The site you were looking for, <strong>%s</strong>, does not exist.' ) . '</em></p>', $newblog );
  			}
  			break;
  	}
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-trackback.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-trackback.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-trackback.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-trackback.php	2013-05-08 19:22:02.000000000 -0500
***************
*** 11,17 ****
  }
  
  /**
!  * trackback_response() - Respond with error or success XML message
   *
   * @param int|bool $error Whether there was an error
   * @param string $error_message Error message if an error occurred
--- 11,17 ----
  }
  
  /**
!  * trackback_response() - Respond with an error or success XML message
   *
   * @param int|bool $error Whether there was an error
   * @param string $error_message Error message if an error occurred
***************
*** 45,53 ****
  $charset = isset($_POST['charset']) ? $_POST['charset'] : '';
  
  // These three are stripslashed here so that they can be properly escaped after mb_convert_encoding()
! $title     = isset($_POST['title'])     ? stripslashes($_POST['title'])      : '';
! $excerpt   = isset($_POST['excerpt'])   ? stripslashes($_POST['excerpt'])    : '';
! $blog_name = isset($_POST['blog_name']) ? stripslashes($_POST['blog_name'])  : '';
  
  if ($charset)
  	$charset = str_replace( array(',', ' '), '', strtoupper( trim($charset) ) );
--- 45,53 ----
  $charset = isset($_POST['charset']) ? $_POST['charset'] : '';
  
  // These three are stripslashed here so that they can be properly escaped after mb_convert_encoding()
! $title     = isset($_POST['title'])     ? wp_unslash($_POST['title'])      : '';
! $excerpt   = isset($_POST['excerpt'])   ? wp_unslash($_POST['excerpt'])    : '';
! $blog_name = isset($_POST['blog_name']) ? wp_unslash($_POST['blog_name'])  : '';
  
  if ($charset)
  	$charset = str_replace( array(',', ' '), '', strtoupper( trim($charset) ) );
***************
*** 65,73 ****
  }
  
  // Now that mb_convert_encoding() has been given a swing, we need to escape these three
! $title     = $wpdb->escape($title);
! $excerpt   = $wpdb->escape($excerpt);
! $blog_name = $wpdb->escape($blog_name);
  
  if ( is_single() || is_page() )
  	$tb_id = $posts[0]->ID;
--- 65,73 ----
  }
  
  // Now that mb_convert_encoding() has been given a swing, we need to escape these three
! $title     = wp_slash($title);
! $excerpt   = wp_slash($excerpt);
! $blog_name = wp_slash($blog_name);
  
  if ( is_single() || is_page() )
  	$tb_id = $posts[0]->ID;
***************
*** 87,94 ****
  	if ( !pings_open($tb_id) )
  		trackback_response(1, 'Sorry, trackbacks are closed for this item.');
  
! 	$title =  wp_html_excerpt( $title, 250 ).'...';
! 	$excerpt = wp_html_excerpt( $excerpt, 252 ).'...';
  
  	$comment_post_ID = (int) $tb_id;
  	$comment_author = $blog_name;
--- 87,94 ----
  	if ( !pings_open($tb_id) )
  		trackback_response(1, 'Sorry, trackbacks are closed for this item.');
  
! 	$title =  wp_html_excerpt( $title, 250, '&#8230;' );
! 	$excerpt = wp_html_excerpt( $excerpt, 252, '&#8230;' );
  
  	$comment_post_ID = (int) $tb_id;
  	$comment_author = $blog_name;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/xmlrpc.php /home/packages/code/qi/SOURCES/wordpress-3.6/xmlrpc.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/xmlrpc.php	2012-09-11 15:11:39.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/xmlrpc.php	2013-03-03 22:23:00.000000000 -0600
***************
*** 6,12 ****
   */
  
  /**
!  * Whether this is a XMLRPC Request
   *
   * @var bool
   */
--- 6,12 ----
   */
  
  /**
!  * Whether this is an XML-RPC Request
   *
   * @var bool
   */
***************
*** 55,61 ****
  include_once(ABSPATH . WPINC . '/class-wp-xmlrpc-server.php');
  
  /**
!  * Posts submitted via the xmlrpc interface get that title
   * @name post_default_title
   * @var string
   */
--- 55,61 ----
  include_once(ABSPATH . WPINC . '/class-wp-xmlrpc-server.php');
  
  /**
!  * Posts submitted via the XML-RPC interface get that title
   * @name post_default_title
   * @var string
   */
